You are Here:
Install Updates Gimp Error - see Security & Bug Fixes Section Sticky



dpkg error preventing install or upgrade

Author (Read 10159 times)

0 Members and 3 Guests are viewing this topic.

Re: dpkg error preventing install or upgrade
« Reply #15 on: November 10, 2016, 01:20:51 AM »
 

Masterjuggler

  • New to Forums
  • *
  • 11
    Posts
  • Country: us
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.2 64bit
Adding that fixed the lite-software issue. Looking at the script, I am not entirely sure what it's doing. It looks like if the vbox kernel module isn't running, to not start the guest addition x11 client, whatever that is. I am also unsure how that would affect lite-software. And was this caused by something dumb I did?

I am still getting a strange error at the end of an update, but it doesn't seem to be affecting anything, so it may not be worth worrying about.

Code: [Select]
W: Invalid 'Date' entry in Release file /var/lib/apt/lists/partial/us.archive.ubuntu.com_ubuntu_dists_xenial-updates_InRelease
W: Invalid 'Date' entry in Release file /var/lib/apt/lists/partial/us.archive.ubuntu.com_ubuntu_dists_xenial-backports_InRelease

Thanks so much for helping me. I'm competent enough using a terminal that I can use linux based OS's without much problem, but in general, software is not my area of expertise. I'm much more into the hardware side of things, from wood to steel, plastic (3d printer), electronics, etc.
 


Re: dpkg error preventing install or upgrade
« Reply #16 on: November 10, 2016, 01:29:52 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7142
    Posts
  • Country: nz
  • Reputation: 670
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Who knows what happened. You're so far, the only one to report this type of problem.

Now try:

Code: [Select]
sudo rm -rf /var/lib/apt/lists/partial/us.archive.ubuntu.com_ubuntu_dists_xenial-updates_InRelease
sudo rm -rf  /var/lib/apt/lists/partial/us.archive.ubuntu.com_ubuntu_dists_xenial-backports_InRelease

to clear remaining errors. then run:

Code: [Select]
sudo apt-get update && sudo apt-get dist-upgrade
report back with the output please.
 

Re: dpkg error preventing install or upgrade
« Reply #17 on: November 10, 2016, 01:43:28 AM »
 

Masterjuggler

  • New to Forums
  • *
  • 11
    Posts
  • Country: us
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.2 64bit
There's nothing actually in /var/lib/apt/lists/. The folder is empty. I ran the commands anyway, but the same error is showing up.
 

Re: dpkg error preventing install or upgrade
« Reply #18 on: November 10, 2016, 02:13:58 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7142
    Posts
  • Country: nz
  • Reputation: 670
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
sudo ls -la /var/lib/apt/lists/partial/
 

Re: dpkg error preventing install or upgrade
« Reply #19 on: November 10, 2016, 01:44:39 PM »
 

Masterjuggler

  • New to Forums
  • *
  • 11
    Posts
  • Country: us
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.2 64bit
This is the result:

Code: [Select]
$ sudo ls -la /var/lib/apt/lists/partial/
total 16
drwx------ 2 _apt root  4096 Nov 10 01:39 .
drwxr-xr-x 3 root root 12288 Nov 10 01:06 ..

This says "total 16" which I'm assuming means the directory has a total of 16 files. There is nothing in the directory when viewing with a file manager or without using -la.
 

Re: dpkg error preventing install or upgrade
« Reply #20 on: November 10, 2016, 10:47:25 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7142
    Posts
  • Country: nz
  • Reputation: 670
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Have you tried a different repo in the USA?
 

Re: dpkg error preventing install or upgrade
« Reply #21 on: November 11, 2016, 12:54:35 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7142
    Posts
  • Country: nz
  • Reputation: 670
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
I've patched lite-software so it won't report this VirtualBox error anymore:

Code: [Select]
Setting up lite-software (2.0-0200-linuxlite) ...
sed: can't read /etc/X11/Xsession.d/98vboxadd-xclient: No such file or directory
dpkg: error processing package lite-software (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 lite-software
E: Sub-process /usr/bin/dpkg returned an error code (1)
Last Edit: November 11, 2016, 01:02:48 AM by Jerry
 


Tags:
 


Install Updates Gimp Error - see Security & Bug Fixes Section Sticky